/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
(function(){
dojo.provide("com.ibm.asq.common.web.client.internal._catalog._Util");
dojo.declare("com.ibm.asq.common.web.client.internal._catalog._Util", null, 
{
    constructor: function(){
    },
    // This helper function corrects for the array problem
    // caused by Jettison.  It take the three ways an 
    // array gets represented in the obj and normalizes it
    // into a standard array.
    _getArrayObject: function(objContainer, objname, arrayName) {
        if (objContainer[objname] == "") {
            objContainer[objname] = {};
            objContainer[objname][arrayName] = [];
        } else if (!(objContainer[objname][arrayName] instanceof Array)) {
            var temp = objContainer[objname][arrayName];
            if (temp == null) {
                objContainer[objname][arrayName] = [];
            }
            else {
                objContainer[objname][arrayName] = [temp];
            }
        }
        return objContainer[objname][arrayName];
     },
        
    _removeFromArray: function(arr, index) {
        var newArr = new Array();
        for(var i=0;i<arr.length;i++) {
            if(i != index){
                newArr.push(arr[i]);
            }
        }
        return newArr;
   }
}
)})();
