/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.page.home.DashboardContainer");

dojo.require("com.ibm.team.dashboard.web.ui.internal.DashboardContainer");
dojo.require("com.ibm.rqm.planning.web.ui.internal.util.MetaNav");
dojo.require("com.ibm.rqm.planning.web.ui.internal.view.viewlets.ViewletPage");

(function() {
	
var MetaNav = com.ibm.rqm.planning.web.ui.internal.util.MetaNav;
var ViewletPage = com.ibm.rqm.planning.web.ui.internal.view.viewlets.ViewletPage;

	dojo.declare("com.ibm.rqm.planning.web.ui.internal.page.home.DashboardContainer", 
				  com.ibm.team.dashboard.web.ui.internal.DashboardContainer, 
{
	init: function() {
		this.metaNav = new MetaNav({dashboardContainer: this});
		this.dashboardPage._layout._metaAreaContainer.appendChild(this.metaNav.domNode);
	},
	
	_createViewletPage: function(/* ViewletPageHelper */ viewletPageHelper,/* Integer */ index) {
		if (this.viewletPages[index]) {
			this.viewletPages[index].destroy();
		}
		this.viewletPages[index] = new ViewletPage({viewletPageHelper: viewletPageHelper, tabIndex: index, dashboardContainer: this});
	}
});

})();

