/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rational.test.lm.web.ui.internal.pages.InventoryUriUtil");
(function() {

var Root             = "com.ibm.rqm.planning.home.actionDispatcher";
var BaseActionHref   = "#action=" + Root;

// Summary:
//    Utility object to compose URIs for asset page's actions.
//
com.ibm.rational.test.lm.web.ui.internal.pages.InventoryUriUtil = {
	
	// The page's root ID.
	PageRoot: Root,
	
	// Page's action keys.
	//
    AutomationsKey:     			"&subAction=runAutomation",
	InventoryKey:					"&subAction=manageInventory",
	AutomationGroupsRegistryKey: 	"&subAction=runGroupAutomations",
	DeploymentKey: 					"&subAction=viewDeployments",
	DiscoverKey:					"&subAction=viewInventory",

	getAutomationsURI: function()
	{
		return( BaseActionHref + this.AutomationsKey );
	},
	
	getInventoryURI: function()
	{
		return( BaseActionHref + this.InventoryKey );
	},
	
	getDeploymentURI:function()
	{
		return( BaseActionHref + this.DeploymentKey );
	},
	
	getDiscoverURI:function()
	{
		return( BaseActionHref + this.DiscoverKey );
	}
};
})();